Bug 241247

Summary: audio/zynaddsubfx: fix build on arm*
Product: Ports & Packages Reporter: Piotr Kubaj <pkubaj>
Component: Individual Port(s)Assignee: Hans Petter Selasky <hselasky>
Status: Closed FIXED    
Severity: Affects Only Me CC: hselasky, mikael
Priority: --- Flags: bugzilla: maintainer-feedback? (hselasky)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch pkubaj: maintainer-approval? (hselasky)

Description Piotr Kubaj freebsd_committer 2019-10-14 19:16:48 UTC
Created attachment 208313 [details]
patch

-mvectorize-with-neon-quad is not available on Clang, so remove it.

Also disable SSE on non-x86.
Comment 1 Hans Petter Selasky freebsd_committer 2019-10-14 20:39:07 UTC
Hi,

Patch is fine. If you want to patch this permanently in the Zynaddsubfx sources instead, I can send a patch upstream.

--HPS
Comment 2 Piotr Kubaj freebsd_committer 2019-10-16 15:39:55 UTC
(In reply to Hans Petter Selasky from comment #1)
I'm not sure whether LLVM8 and 9 support it, I'm on 12.0-RELEASE with LLVM 6. If they do support it, maybe better not upstream it.
Comment 3 Mikael Urankar freebsd_committer 2019-10-16 16:33:02 UTC
(In reply to Piotr Kubaj from comment #2)
same problem with llvm8 or llvm9
Comment 4 Piotr Kubaj freebsd_committer 2019-10-21 08:48:17 UTC
Then yes, please upstream it if you can.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2019-10-22 06:58:16 UTC
I cannot confirm this as mentor, so I will have to leave it for somebody else:

  Writing presets.ttl...Fatal error 'mutex 0xf44d7180 own 0x18726 is on list 0xf49b913c 0xf44d7100' at line 154 in file /usr/local/poudriere/jails/120-head-armv7/usr/src/lib/libthr/thread/thr_mutex.c (errno = 16)
  qemu: uncaught target signal 6 (Abort trap) - core dumped
Comment 6 Hans Petter Selasky freebsd_committer 2019-10-22 07:32:01 UTC
I'll have a closer look at this as time permits.
Comment 7 Mikael Urankar freebsd_committer 2019-10-22 07:40:33 UTC
(In reply to Mark Linimon from comment #5)
It's a qemu-user-static bug.
Comment 8 commit-hook freebsd_committer 2020-06-28 10:29:59 UTC
A commit references this bug:

Author: pkubaj
Date: Sun Jun 28 10:29:47 UTC 2020
New revision: 540699
URL: https://svnweb.freebsd.org/changeset/ports/540699

Log:
  audio/zynaddsubfx: fix build on non-x86

  Disable SSE everywhere but on amd64 and i386.

  PR:		241247
  Approved by:	hselasky (maintainer)

Changes:
  head/audio/zynaddsubfx/Makefile